This commit is contained in:
Your Name 2024-04-30 14:31:57 +00:00
parent 21e136043d
commit 37d649a035
5 changed files with 630 additions and 2 deletions

View File

@ -0,0 +1,273 @@
#!/bin/bash
# -*- mode: sh; tab-width: 8; encoding: utf-8-unix -*-
DESC="This is a bash script to apply the ungoogled_chromium patches
to qtwebengine on Gentoo. You should be able to modify it for other
source distributions in an obvious way, but as Gentoo builds from sources,
its most straightforward on it.
The patches have been edited to exclude the patches that dont apply to
qtwebengine - the browser parts - and remove a lot of privacy outrages
committed by google. You can select and add to the list below.
These patches are specific to this release of qtwebengine as it is
specific to a given release of chromium. In general the patches apply
cleanly, but sometimes with a little fuzz.
"
[ `id -u` -ne 0 ] && ERROR $prog must be run as root && exit 1
prog=`basename $0 .bash`
# we build into /var/local - adjust to suit
PREFIX=/var/local
ROLE=privacy
DEBUG=1
# run them first with --dryrun to check
PATCH="patch -b -z.dst -p 1" # --dry-run
# we define some local extensions ols_* which can be ignored
if [ -f /var/local/src/var_local_src.bash ] ; then
# color logging
. /var/local/src/var_local_src.bash || exit 1
else
debug () { [ -z "$DEBUG" -o "$DEBUG" -eq 0 ] || echo DBUG: "$prog $*"; return 0 ; }
DBUG () { debug $* ; }
error() { echo ERROR: "$prog " $* 1>&2 ; return $1 ; }
ERROR () { error $* ; }
panic () {
retval=$1
shift
echo "PANIC: $prog " $* 1>&2
exit $retval
}
PANIC () { panic "$@" ; }
FATAL () { panic "$@" ; }
warn () { echo WARN: "$prog " $* 1>&2; return 0; }
WARN () { warn $* ; }
info () {echo INFO: "$prog " $* 1>&2; return 0 ; }
INFO () { info $* ; }
fi
# PORTAGE_TMPDIR MUST NOT be a symlink! - get this from make.conf
PORTAGE_TMPDIR='/mnt/linuxKick150154'
QTWE_CAT=dev-qt
QTWE_PKG=qtwebengine
QTWE_VER=6.6.3
# you can run into sandbox problems depending on your sysctl settings
# Try with FEATURES="" and if it works great - if not we trust the ebuild
FEATURES="-ipc-sandbox -mount-sandbox -network-sandbox -pid-sandbox -sandbox -usersandbox"
# chromium looks for dictionaries in an absurd place in /usr/bin
# or in the users ~/.config/Chrome/Dictionaries so we build the dicts
# there, which has to be repeated for each user.
# It doesnt seem to respect the environment variable
QTWE_USER=vagrant
# These patches are specific to this release of qtwebengine and a
# specific tag of ungoogled_chromium
UGC_TAG="112.0.5615.165-1"
UGC_EBUILD=ungoogled-chromium-112.0.5615.165_p1.ebuild
# The chromium tar that the ebuild uses can be found at:
# http:/distfiles.alpinelinux.org/distfiles/v3.17/chromium-112.0.5615.165.tar.xz
PKG=ungoogled-chromium
DIR=ungoogled_qtwebengine-${QTWE_VER}
GIT_HUB=github.com
GIT_USER=ungoogled-software
GIT_DIR=$PKG
cd $PREFIX/src || exit 2
WD=$PWD
if [ -d /etc/portage ] ; then
# these are the prereqs in order
ols_funtoo_requires \
dev-qt/qtbase:6 \
dev-qt/qtserialport:6 \
dev-qt/qtdeclarative:6 \
dev-qt/qtpositioning:6 \
dev-qt/qtlocation:6 \
dev-qt/qtmultimedia:6 \
dev-qt/qttools:6 \
dev-qt/qtwebchannel:6 \
dev-qt/qtsvg:6 \
dev-qt/qtwebengine:6 \
dev-qt/qtimageformats:6 \
dev-python/PyQt6-WebEngine
else
ERROR this is Gentoo specific and youll have to adapt it otherwise
exit 2
fi
WD=$PWD
if [ ! -d "$DIR" ] ; then
if [ ! -d "$PREFIX/net/Git/$GIT_HUB/$GIT_USER/$GIT_DIR" ] ; then
[ -d "$PREFIX/net/Git/$GIT_HUB/$GIT_USER" ] || \
mkdir "$PREFIX/net/Git/$GIT_HUB/$GIT_USER"
route | grep ^default || { DEBUG not connected ; exit 0 ; }
cd "$PREFIX/net/Git/$GIT_HUB/$GIT_USER"
git clone https://$GIT_HUB/$GIT_USER/$GIT_DIR || exit 3
cd $WD
fi
cp -rip "$PREFIX/net/Git/$GIT_HUB/$GIT_USER"/$GIT_DIR $DIR
fi
cd "$DIR"
git log | head -1 | grep "HEAD, tag: $UGC_TAG" || {
ERROR The first time you must: git checkout $UGC_TAG
iNFO well make you do this manually so you dont overwrite things
exit 4
}
[ -d /home/${QTWE_USER}/.config/chromium/Default/Dictionaries ] || \
mkdir -p /home/${QTWE_USER}/.config/chromium/Default/Dictionaries
# per user - ignore failures
ols_chromium_dicts /home/${QTWE_USER}/.config/chromium/Default/Dictionaries
PV_DIR=$PORTAGE_TMPDIR/portage/$QTWE_CAT/${QTWE_PKG}-${QTWE_VER}
WORK=$PV_DIR/work/${QTWE_PKG}-everywhere-src-${QTWE_VER}/src/3rdparty/chromium/
# configure the qtwe sources first
[ -e $PV_DIR/.configured ] || \
FEATURES="$FEATURES" \
ebuild /usr/portage/$QTWE_CAT/${QTWE_PKG}/${QTWE_PKG}-${QTWE_VER}.ebuild \
prepare configure >> ${QTWE_PKG}-${QTWE_VER}.log 2>&1 || \
{ ERROR .configured $? ; exit 4 ; }
# compile the qtwe sources second
[ -e $PV_DIR/.complied ] || \
FEATURES="$FEATURES" \
ebuild /usr/portage/$QTWE_CAT/${QTWE_PKG}/${QTWE_PKG}-${QTWE_VER}.ebuild \
prepare compile >> ${QTWE_PKG}-${QTWE_VER}.log 2>&1 || \
{ ERROR .configured $? ; exit 5 ; }
WD=$PWD
# The ungoogled_chromium patches need patching to remove some
# parts that work on files not in qtwebengine. It you dont apply
# these patches youll get some .rej files that are harmless
# you can check the source for .rej files before patching
if [ really = careful ] ; then
L=`find $WORK -name \*.rej | tee .rej | wc -l | sed -e 's/ .*//'`
[ $L -gt 0 ] && ERROR still $L .rej && exit 6
fi
# You can apply the patches one at a time by setting this to 1 and incrementing
iMAX=28
declare -a PATCHES
# This patches have been selected to exclude ones irrelevant to qtwebengine
PATCHES=(
patches/core/inox-patchset/0009-disable-google-ipv6-probes.patch
patches/core/iridium-browser/safe_browsing-disable-reporting-of-safebrowsing-over.patch
patches/core/ungoogled-chromium/block-trk-and-subdomains.patch
# decided not to do this for qutebrowser - should work if you want it
#? patches/core/ungoogled-chromium/disable-crash-reporter.patch
patches/core/ungoogled-chromium/disable-domain-reliability.patch
patches/core/ungoogled-chromium/disable-fonts-googleapis-references.patch
patches/core/ungoogled-chromium/disable-gcm.patch
patches/core/ungoogled-chromium/disable-mei-preload.patch
patches/core/ungoogled-chromium/disable-network-time-tracker.patch
patches/core/ungoogled-chromium/doh-changes.patch
patches/core/ungoogled-chromium/disable-webstore-urls.patch
patches/core/ungoogled-chromium/fix-building-with-prunned-binaries.patch
patches/core/ungoogled-chromium/fix-learn-doubleclick-hsts.patch
# decided not to do this for qutebrowser - should work if you want it
# patches/core/ungoogled-chromium/replace-google-search-engine-with-nosearch.patch
patches/extra/inox-patchset/0016-chromium-sandbox-pie.patch
patches/extra/inox-patchset/0019-disable-battery-status-service.patch
patches/extra/iridium-browser/Remove-EV-certificates.patch
patches/extra/iridium-browser/mime_util-force-text-x-suse-ymp-to-be-downloaded.patch
patches/extra/iridium-browser/net-cert-increase-default-key-length-for-newly-gener.patch
patches/extra/iridium-browser/prefs-only-keep-cookies-until-exit.patch
patches/extra/ungoogled-chromium/add-components-ungoogled.patch
patches/extra/ungoogled-chromium/add-extra-channel-info.patch
patches/extra/ungoogled-chromium/disable-download-quarantine.patch
patches/extra/ungoogled-chromium/disable-formatting-in-omnibox.patch
patches/extra/ungoogled-chromium/disable-remote-optimization-guide.patch
patches/extra/ungoogled-chromium/disable-webgl-renderer-info.patch
patches/extra/ungoogled-chromium/enable-default-prefetch-privacy-changes.patch
patches/extra/ungoogled-chromium/fix-distilled-icons.patch
#! missing file from source and patches: unexpire_flags.h
#! patches/extra/ungoogled-chromium/keep-expired-flags.patch
patches/extra/ungoogled-chromium/prepopulated-search-engines.patch
)
# The ungoogled_chromium patches need patching to remove some
# parts that work on files not in qtwebengine. It you dont apply
# these patches youll get some .rej files that are harmless
if [ -f ../$DIR.diff ] ; then
ls patches/*/*/*.diff >/dev/null || \
patch -b -z.dst -p 0 < ../$DIR.diff || {
ERROR ../$DIR.diff should have applied cleanly - YMMV
exit 7
}
fi
declare -a CHROME_DIRS
# Patches to these dirs are not be selected and are irrelevant to qtwebengine
CHROME_DIRS=(
chrome/updater
chrome/browser
)
i=0
# find patches -name \*.patch
ls -1 "${PATCHES[@]}" | while read file ; do
[ -s "$file" ] || {
WARN empty $file
continue
}
# a/chrome/browser is not in qtwebengine
for elt in "${CHROME_DIRS[@]}" ; do
grep "^--- a/$elt" $file && WARN $file && continue 2
done
i=`expr $i + 1`
[ $i -gt $iMAX ] && break
grep '^--- a/' $file | sed -e 's/^--- a\///' | \
while read target ; do
DST=$WORK/$target.dst
DBUG looking for $DST
[ -f $DST ] && WARN $DST already exists && continue
done
if [ -s $WD/$file.log ] ; then
# remove the log to reapply a patch
DBUG "skipping $WD/$file.log"
continue
else
DBUG $i patching from $file "to $WD/$file.log"
fi
cd $WORK
# we keep a log of each patch applied and skip the patch if theres a log
# remove the log to reapply a patch
$PATCH < $WD/$file 2>&1|tee $WD/$file.log
cd $WD
# we check the log of each patch applied for .rej and exit if there are any
grep '\.rej' $WD/$file.log && ERROR still .rej after $file.log && exit 8
echo $WD/$file.log >> ${DIR}.log
# if you want to be careful rebuild qtwebengine every patch
if [ really = slow ] ; then
# we are talking about weeks to build here...
[ ! -f /usr/portage/$QTWE_CAT/${QTWE_PKG}/${QTWE_PKG}-${QTWE_VER}.ebuild ] && \
ERROR /usr/portage/$QTWE_CAT/${QTWE_PKG}/${QTWE_PKG}-${QTWE_VER}.ebuild && \
exit 7
# remove .../portage/dev-qt/qtwebengine-6.6.3/.compiled
rm -f $PV_DIR/.complied $PV_DIR/.installed
EBUILD=/usr/portage/$QTWE_CAT/${QTWE_PKG}/${QTWE_PKG}-${QTWE_VER}.ebuild
env FEATURES="$FEATURES" ebuild $EBUILD compile install qmerge >> ${DIR}.log 2>&1 || \
{ ERROR compiling $file $? ; exit 9 ; }
fi
INFO patched from $file
done

View File

@ -0,0 +1,7 @@
patches/core/ungoogled-chromium/block-requests.patch.diff
patches/core/ungoogled-chromium/block-trk-and-subdomains.patch.diff
patches/core/ungoogled-chromium/disable-crash-reporter.patch.diff
patches/core/ungoogled-chromium/disable-domain-reliability.patch.diff
patches/core/ungoogled-chromium/disable-webstore-urls.patch.diff
patches/core/ungoogled-chromium/fix-building-without-safebrowsing.patch.diff
patches/core/ungoogled-chromium/remove-unused-preferences-fields.patch.diff

View File

@ -0,0 +1,313 @@
# Copyright 2021-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..12} )
PYTHON_REQ_USE="xml(+)"
inherit check-reqs flag-o-matic multiprocessing optfeature
inherit prefix python-any-r1 qt6-build toolchain-funcs
DESCRIPTION="Library for rendering dynamic web content in Qt6 C++ and QML applications"
SRC_URI+="
https://dev.gentoo.org/~ionen/distfiles/${PN}-6.6-patchset-10.tar.xz
"
if [[ ${QT6_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 arm64"
fi
IUSE="
accessibility +alsa bindist custom-cflags designer geolocation
+jumbo-build kerberos opengl pdfium pulseaudio qml screencast
+system-icu vaapi vulkan +widgets
"
REQUIRED_USE="
designer? ( qml widgets )
"
# dlopen: krb5, libva, pciutils, udev
RDEPEND="
app-arch/snappy:=
dev-libs/expat
dev-libs/libevent:=
dev-libs/libxml2[icu]
dev-libs/libxslt
dev-libs/nspr
dev-libs/nss
~dev-qt/qtbase-${PV}:6[accessibility=,gui,opengl=,vulkan?,widgets?]
~dev-qt/qtwebchannel-${PV}:6[qml?]
media-libs/fontconfig
media-libs/freetype
media-libs/harfbuzz:=
media-libs/lcms:2
media-libs/libjpeg-turbo:=
media-libs/libpng:=
media-libs/libwebp:=
media-libs/openjpeg:2=
media-libs/opus
media-libs/tiff:=
sys-apps/dbus
sys-apps/pciutils
sys-libs/zlib:=[minizip]
virtual/libudev
x11-libs/libX11
x11-libs/libXcomposite
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXrandr
x11-libs/libXtst
x11-libs/libxcb:=
x11-libs/libxkbcommon
x11-libs/libxkbfile
alsa? ( media-libs/alsa-lib )
designer? ( ~dev-qt/qttools-${PV}:6[designer] )
geolocation? ( ~dev-qt/qtpositioning-${PV}:6 )
kerberos? ( virtual/krb5 )
pulseaudio? ( media-libs/libpulse[glib] )
qml? ( ~dev-qt/qtdeclarative-${PV}:6 )
screencast? (
dev-libs/glib:2
media-libs/mesa[gbm(+)]
media-video/pipewire:=
x11-libs/libdrm
)
system-icu? ( dev-libs/icu:= )
vaapi? (
media-libs/libva:=[X]
media-libs/mesa[gbm(+)]
x11-libs/libdrm
)
!vaapi? ( media-libs/libvpx:= )
widgets? ( ~dev-qt/qtdeclarative-${PV}:6[widgets] )
"
DEPEND="
${RDEPEND}
media-libs/libglvnd
x11-base/xorg-proto
x11-libs/libxshmfence
screencast? ( media-libs/libepoxy[egl(+)] )
pdfium? ( net-print/cups )
test? (
widgets? ( app-text/poppler[cxx(+)] )
)
vaapi? (
vulkan? ( dev-util/vulkan-headers )
)
"
BDEPEND="
$(python_gen_any_dep 'dev-python/html5lib[${PYTHON_USEDEP}]')
dev-util/gperf
net-libs/nodejs[ssl]
sys-devel/bison
sys-devel/flex
"
PATCHES=( "${WORKDIR}"/patches/${PN} )
[[ ${PV} == 6.9999 ]] || # too fragile for 6.9999, but keep for 6.x.9999
PATCHES+=( "${WORKDIR}"/patches/chromium )
PATCHES+=(
# add extras as needed here, may merge in set if carries across versions
)
python_check_deps() {
python_has_version "dev-python/html5lib[${PYTHON_USEDEP}]"
}
qtwebengine_check-reqs() {
[[ ${MERGE_TYPE} == binary ]] && return
if is-flagq '-g?(gdb)?([1-9])'; then #307861
ewarn
ewarn "Used CFLAGS/CXXFLAGS seem to enable debug info (-g or -ggdb), which"
ewarn "is non-trivial with ${PN}. May experience extended compilation"
ewarn "times, increased disk/memory usage, and potentially link failure."
ewarn
ewarn "If run into issues, please try disabling before reporting a bug."
fi
local CHECKREQS_DISK_BUILD=7G
local CHECKREQS_DISK_USR=220M
if ! has distcc ${FEATURES}; then #830661
# assume ~2GB per job or 1.5GB if clang, possible with less
# depending on free memory and *FLAGS, but prefer being safe as
# users having OOM issues with qtwebengine been rather common
tc-is-clang && : 15 || : 20
local CHECKREQS_MEMORY=$(($(makeopts_jobs)*_/10))G
fi
check-reqs_${EBUILD_PHASE_FUNC} #570534
}
pkg_pretend() {
qtwebengine_check-reqs
}
pkg_setup() {
qtwebengine_check-reqs
python-any-r1_pkg_setup
}
src_prepare() {
qt6-build_src_prepare
# for www-plugins/chrome-binary-plugins (widevine) search paths on prefix
hprefixify -w /Gentoo/ src/core/content_client_qt.cpp
# store chromium versions, only used in postinst for a warning
local chromium
mapfile -t chromium < CHROMIUM_VERSION || die
[[ ${chromium[1]} =~ ^Based.*:[^0-9]+([0-9.]+$) ]] &&
QT6_CHROMIUM_VER=${BASH_REMATCH[1]} || die
[[ ${chromium[2]} =~ ^Patched.+:[^0-9]+([0-9.]+$) ]] &&
QT6_CHROMIUM_PATCHES_VER=${BASH_REMATCH[1]} || die
}
src_configure() {
local mycmakeargs=(
$(qt_feature pdfium qtpdf_build)
$(qt_feature qml qtpdf_quick_build)
$(qt_feature widgets qtpdf_widgets_build)
$(usev pdfium -DQT_FEATURE_pdf_v8=ON)
-DQT_FEATURE_qtwebengine_build=ON
$(qt_feature qml qtwebengine_quick_build)
$(qt_feature widgets qtwebengine_widgets_build)
$(cmake_use_find_package designer Qt6Designer)
$(qt_feature alsa webengine_system_alsa)
$(qt_feature !bindist webengine_proprietary_codecs)
$(qt_feature geolocation webengine_geolocation)
$(qt_feature jumbo-build webengine_jumbo_build)
$(qt_feature kerberos webengine_kerberos)
$(qt_feature pulseaudio webengine_system_pulseaudio)
$(qt_feature screencast webengine_webrtc_pipewire)
$(qt_feature system-icu webengine_system_icu)
$(qt_feature vaapi webengine_vaapi)
$(qt_feature vulkan webengine_vulkan)
-DQT_FEATURE_webengine_embedded_build=OFF
-DQT_FEATURE_webengine_extensions=ON
-DQT_FEATURE_webengine_ozone_x11=ON # needed, cannot do optional X yet
-DQT_FEATURE_webengine_pepper_plugins=ON
-DQT_FEATURE_webengine_printing_and_pdf=ON
-DQT_FEATURE_webengine_spellchecker=ON
-DQT_FEATURE_webengine_webchannel=ON
-DQT_FEATURE_webengine_webrtc=ON
# needs a modified ffmpeg to be usable, and even then it may not
# cooperate with new major ffmpeg versions (bug #831487)
-DQT_FEATURE_webengine_system_ffmpeg=OFF
# use bundled re2 to avoid complications, may revisit
# (see discussions in https://github.com/gentoo/gentoo/pull/32281)
-DQT_FEATURE_webengine_system_re2=OFF
# bundled is currently required when using vaapi (forced regardless)
$(qt_feature !vaapi webengine_system_libvpx)
# not necessary to pass these (default), but in case detection fails
$(printf -- '-DQT_FEATURE_webengine_system_%s=ON ' \
freetype glib harfbuzz lcms2 libevent libjpeg \
libopenjpeg2 libpci libpng libtiff libwebp \
libxml minizip opus poppler snappy zlib)
# TODO: fixup gn cross, or package dev-qt/qtwebengine-gn with =ON
-DINSTALL_GN=OFF
)
local mygnargs=(
# prefer no dlopen where possible
link_pulseaudio=true
rtc_link_pipewire=true
)
if use !custom-cflags; then
strip-flags # fragile
if is-flagq '-g?(gdb)?([2-9])'; then #914475
replace-flags '-g?(gdb)?([2-9])' -g1
ewarn "-g2+/-ggdb* *FLAGS replaced with -g1 (enable USE=custom-cflags to keep)"
fi
# Built helpers segfault when using (at least) -march=armv8-a+pauth
# (bug #920555, #920568 -- suspected gcc bug). For now, filter all
# for simplicity. Override with USE=custom-cflags if wanted, please
# report if above -march works again so can cleanup.
use arm64 && tc-is-gcc && filter-flags '-march=*' '-mcpu=*'
fi
export NINJA NINJAFLAGS=$(get_NINJAOPTS)
[[ ${NINJA_VERBOSE^^} == OFF ]] || NINJAFLAGS+=" -v"
local -x EXTRA_GN="${mygnargs[*]} ${EXTRA_GN}"
einfo "Extra Gn args: ${EXTRA_GN}"
qt6-build_src_configure
}
src_compile() {
# tentatively work around a possible (rare) race condition (bug #921680)
cmake_build WebEngineCore_sync_all_public_headers
cmake_src_compile
}
src_test() {
if [[ ${EUID} == 0 ]]; then
# almost every tests fail, so skip entirely
ewarn "Skipping tests due to running as root (chromium refuses this configuration)."
return
fi
local CMAKE_SKIP_TESTS=(
# fails with network sandbox
tst_loadsignals
tst_qquickwebengineview
tst_qwebengineglobalsettings
tst_qwebengineview
# certs verfication seems flaky and gives expiration warnings
tst_qwebengineclientcertificatestore
# test is misperformed when qtbase is built USE=-test?
tst_touchinput
)
# prevent using the system's qtwebengine
# (use glob to avoid unnecessary complications with arch dir)
local resources=( "${BUILD_DIR}/src/core/${CMAKE_BUILD_TYPE}/"* )
[[ -d ${resources[0]} ]] || die "invalid resources path: ${resources[0]}"
local -x QTWEBENGINEPROCESS_PATH=${BUILD_DIR}${QT6_LIBEXECDIR#"${QT6_PREFIX}"}/QtWebEngineProcess
local -x QTWEBENGINE_LOCALES_PATH=${resources[0]}/qtwebengine_locales
local -x QTWEBENGINE_RESOURCES_PATH=${resources[0]}
# random failures in several tests without -j1
qt6-build_src_test -j1
}
src_install() {
qt6-build_src_install
[[ -e ${D}${QT6_LIBDIR}/libQt6WebEngineCore.so ]] || #601472
die "${CATEGORY}/${PF} failed to build anything. Please report to https://bugs.gentoo.org/"
}
pkg_postinst() {
# plugin may also be found in $HOME if provided by chrome or firefox
use amd64 &&
optfeature "Widevine DRM support (protected media playback)" \
www-plugins/chrome-binary-plugins
elog
elog "This version of Qt WebEngine is based on Chromium version ${QT6_CHROMIUM_VER}, with"
elog "additional security fixes up to ${QT6_CHROMIUM_PATCHES_VER}. Extensive as it is, the"
elog "list of backports is impossible to evaluate, but always bound to be behind"
elog "Chromium's release schedule."
elog
elog "In addition, various online services may deny service based on an outdated"
elog "user agent version (and/or other checks). Google is already known to do so."
elog
elog "tl;dr your web browsing experience will be compromised."
}

View File

@ -0,0 +1,19 @@
This is a bash script to apply the ungoogled_chromium patches
to qtwebengine on Gentoo. You should be able to modify it for other
source distributions in an obvious way, but as Gentoo builds from sources,
its most straightforward to do on it.
The patches have been edited to exclude the patches that dont apply to
qtwebengine - the browser parts. You can select and add to the
list. The patches have also been patched to remove the portions of a
patch that do not apply to qtwebengine, i.e. files that are not in it.
There's nothing fancy in the patches to the patches - just
removing sections of the patch.
These patches are specific to this release of qtwebengine as it is
specific to a given release of chromium. In general the patches apply
cleanly, but sometimes with a little fuzz. The may even apply to a newer
version of ungoogled_chromium with a little more fuzz, and adding to
the list of patches any new ones that apply.

View File

@ -1,3 +1,19 @@
# ungoogled_qtwebengine
This is a bash script to apply the ungoogled_chromium patches
to qtwebengine on Gentoo. You should be able to modify it for other
source distributions in an obvious way, but as Gentoo builds from sources,
its most straightforward to do on it.
The patches have been edited to exclude the patches that dont apply to
qtwebengine - the browser parts. You can select and add to the
list. The patches have also been patched to remove the portions of a
patch that do not apply to qtwebengine, i.e. files that are not in it.
There's nothing fancy in the patches to the patches - just
removing sections of the patch.
These patches are specific to each release of qtwebengine as it is
specific to a given release of chromium. In general the patches apply
cleanly, but sometimes with a little fuzz. The may even apply to a newer
version of ungoogled_chromium with a little more fuzz, and adding to
the list of patches any new ones that apply.
Patches to ungoogled_chromium for qtwebengine